<?xml version='1.0'?>
<?xml-stylesheet href="bookmarks.css" type="text/css"?>
<!DOCTYPE dialog [
<!ENTITY % settings SYSTEM "/native/fx/bookmarks.dialog.dtd">
%settings;
]>

<dialog buttons="accept,cancel" xmlns:html="http://www.w3.org/1999/xhtml" id="bookmarks-dialog" ondialogaccept="return Dlg.onDialogAccept(true)" onload="Dlg.onDialogLoad();" onunload="Dlg.onDialogUnload();" windowtype="BookmarksAddDialog" xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul" yaShowLiveCheckbox="true" yaTitleBookmarkEdit="&bookmark.edit.title;" yaTitleBookmarks="&bookmarks.title;" yaTitleFolderEdit="&folder.edit.title;" yaTitleLiveWindow="&livewindow.title;">

    <script src="bookmarks.js" type="application/x-javascript"/>
    <script type="application/javascript;version=1.7"><![CDATA[
        for (var prop in BookmarksDlg) {
            Dlg[prop] = BookmarksDlg[prop];
        }
      ]]>
    </script>

    <stringbundle id="string-bundle-bookmarks" src="/native/fx/bookmarks.properties"/>

    <vbox id="content">
        <vbox id="grids-container">
            <grid flex="1" id="bookmark-grid">
                <columns>
                    <column/>
                    <column flex="1"/>
                </columns>
                <rows>
                    <row align="center">
                        <label accesskey="&bookmarks.name.accesskey;" control="bookmarks-name" style="font-weight:bold; margin-right:1.4em;" value="&bookmarks.name.label;"/>
                        <textbox id="bookmarks-name" maxlength="255" oninput="Dlg.validate()"/>
                    </row>
                    <row align="center" id="bookmarks-row-url">
                        <label accesskey="&bookmarks.url.accesskey;" control="bookmarks-url" style="font-weight:bold;" value="&bookmarks.url.label;"/>
                        <textbox id="bookmarks-url" oninput="Dlg.validate()"/>
                    </row>
                    <row>
                        <label accesskey="&bookmarks.desc.accesskey;" control="bookmarks-desc" value="&bookmarks.desc.label;"/>
                        <textbox id="bookmarks-desc" maxlength="65536" multiline="true" oninput="Dlg.validate()" rows="3"/>
                    </row>
                    <row id="bookmarks-row-tags">
                        <label accesskey="&bookmarks.tags.accesskey;" control="bookmarks-tags" value="&bookmarks.tags.label;"/>
                        <vbox id="bookmarks-tags" maxLength="65536" placeholder="&bookmarks.tags.placeholder;" yatagmaxlength="255"/>
                    </row>
                    <row align="center">
                        <label accesskey="&bookmarks.folder.accesskey;" control="bookmarks-folder" value="&bookmarks.folder.label;"/>
                        <hbox>
                            <hbox id="bookmarks-folder-placeholder">
                                <menulist disabled="true" id="bookmarks-folder">
                                    <menupopup>
                                        <menuitem label="...&bookmarks.structure.loading;..."/>
                                    </menupopup>
                                </menulist>
                            </hbox>
                            <deck id="bookmarks-newfolder-deck" selectedIndex="0">
                                <hbox align="center" pack="center">
                                    <label class="action-link" onclick="this.parentNode.parentNode.selectedIndex = 1;
                                            document.getElementById('bookmarks-newfolder').focus()" value="&bookmarks.newfolder.create.label;"/>
                                </hbox>
                                <hbox align="center" pack="center">
                                    <label style="margin:0" value="/"/>
                                    <textbox id="bookmarks-newfolder" maxlength="255" onblur="if (event.originalTarget &amp;&amp; event.originalTarget.localName == 'input' &amp;&amp; !this.value) this.parentNode.parentNode.selectedIndex = 0" placeholder="&bookmarks.newfolder.name.placeholder;"/>
                                </hbox>
                            </deck>
                        </hbox>
                    </row>
                    <hbox id="yaru-settings"/>
                </rows>
            </grid>
        </vbox>
    </vbox>
</dialog>
